%define ver_major 0.12

Name: mergeant
Version: %ver_major.1
Release: alt3

Summary: Mergeant is a database admin tool
License: GPL
Group: Databases
Url: http://gasql.sourceforge.net/

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: gnome2-db
Provides: gnome2-db = %version-%release

%define libgnomedb_ver 0.90.1

BuildPreReq: libtool_1.4

BuildPreReq: gnome-common >= 1.2.4-alt3
BuildPreReq: libgnomedb >= %libgnomedb_ver

# Automatically added by buildreq on Thu Jul 10 2003
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig-devel freetype2-devel glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libIDL-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat-devel libgda2-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomedb-devel libgnomeprint2-devel libgnomeprintui-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt-devel pkgconfig scrollkeeper zlib-devel

%description
Mergeant is a program which helps administer a DBMS database using the
gnome-db framework. Basically, it memorizes all the structure of the
database, and some queries, and does the SQL queries instead of the user
(not having to type all over again those SQL commands, although it is
still possible to do so).

%prep
%setup -q

%build
%set_libtool_version 1.4
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot%_menudir
gnomedesktop2mdkmenu.pl %name "Applications/Databases" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

find examples -type f -name "Makefile*" -print0|xargs -r0 rm -f --

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*.so*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/%name
%_datadir/mime-info
%_datadir/pixmaps/*
%_menudir/*
%doc AUTHORS ChangeLog NEWS README TODO
%doc examples/

%changelog
* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt3
- requires libtool_1.4 to build.

* Thu Jul 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt2
- rebuild with new libgnomedb-0.90.0.

* Fri Jun 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.1-alt1
- new version.

* Thu May 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.12.0-alt1
- 0.12.0

* Wed May 14 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- First build for Sisyphus.

